Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 8 May 2009 13:06:26 GMT
From:      "Alexander V. Chernikov" <melifaro@ipfw.ru>
To:        freebsd-gnats-submit@FreeBSD.org
Subject:   ports/134365: New port: devel/ptlib26 Multi-platform code library
Message-ID:  <200905081306.n48D6Q3g084511@www.freebsd.org>
Resent-Message-ID: <200905081310.n48DA1na058401@freefall.freebsd.org>

next in thread | raw e-mail | index | archive | help

>Number:         134365
>Category:       ports
>Synopsis:       New port: devel/ptlib26 Multi-platform code library
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Fri May 08 13:10:01 UTC 2009
>Closed-Date:
>Last-Modified:
>Originator:     Alexander V. Chernikov
>Release:        7.2-STABLE
>Organization:
>Environment:
FreeBSD gw.su29.net 7.2-STABLE FreeBSD 7.2-STABLE #18: Fri May  8 04:50:31 MSD 2009     root@gw.su29.net:/usr/obj/usr/src/sys/ROUTER  amd64

>Description:
multi-platform code library used by opalvoip ( http://opalvoip.org )
>How-To-Repeat:

>Fix:


Patch attached with submission follows:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ptlib26
#	ptlib26/files
#	ptlib26/files/patch-critsec.h
#	ptlib26/files/patch-Makefile.in
#	ptlib26/files/patch-include_ptclib_vsdl.h
#	ptlib26/files/patch-make_lib.mak
#	ptlib26/files/patch-plugins_configure
#	ptlib26/files/patch-unix_config.cxx
#	ptlib26/files/patch-src__ptlib__common__osutils.cxx
#	ptlib26/files/patch-src__ptlib__unix__svcproc.cxx
#	ptlib26/files/patch-unix_mak
#	ptlib26/files/patch-threads
#	ptlib26/files/patch-configure
#	ptlib26/files/patch-src_ptclib_vsdl.cxx
#	ptlib26/Makefile
#	ptlib26/distinfo
#	ptlib26/pkg-descr
#	ptlib26/pkg-plist
#
echo c - ptlib26
mkdir -p ptlib26 > /dev/null 2>&1
echo c - ptlib26/files
mkdir -p ptlib26/files > /dev/null 2>&1
echo x - ptlib26/files/patch-critsec.h
sed 's/^X//' >ptlib26/files/patch-critsec.h << 'c817764e7c7dc2e625c94159e3a9877e'
X--- include/ptlib/critsec.h.orig	2009-04-25 15:01:31.000000000 +0400
X+++ include/ptlib/critsec.h	2009-04-25 15:02:45.000000000 +0400
X@@ -249,13 +249,13 @@
X __inline PAtomicInteger::IntegerType PAtomicInteger::operator--(int)        { return EXCHANGE_AND_ADD(&m_value, -1); }
X __inline void PAtomicInteger::SetValue(IntegerType value)                   { m_value = value; }
X #else
X-__inline PAtomicInteger::PAtomicInteger(IntegerType value) : m_value(value) { pthread_mutex_init(&mutex, NULL); }
X-__inline PAtomicInteger::~PAtomicInteger()                                  { pthread_mutex_destroy(&mutex); }
X-__inline PAtomicInteger::IntegerType PAtomicInteger::operator++()           { pthread_mutex_lock(&mutex); int retval = ++m_value; pthread_mutex_unlock(&mutex); return retval; }
X-__inline PAtomicInteger::IntegerType PAtomicInteger::operator++(int)        { pthread_mutex_lock(&mutex); int retval = m_value++; pthread_mutex_unlock(&mutex); return retval; }
X-__inline PAtomicInteger::IntegerType PAtomicInteger::operator--()           { pthread_mutex_lock(&mutex); int retval = --m_value; pthread_mutex_unlock(&mutex); return retval; }
X-__inline PAtomicInteger::IntegerType PAtomicInteger::operator--(int)        { pthread_mutex_lock(&mutex); int retval = m_value--; pthread_mutex_unlock(&mutex); return retval; }
X-__inline void PAtomicInteger::SetValue(IntegerType v)                       { pthread_mutex_lock(&mutex); m_value = v; pthread_mutex_unlock(&mutex); }
X+__inline PAtomicInteger::PAtomicInteger(IntegerType value) : m_value(value) { pthread_mutex_init(&m_mutex, NULL); }
X+__inline PAtomicInteger::~PAtomicInteger()                                  { pthread_mutex_destroy(&m_mutex); }
X+__inline PAtomicInteger::IntegerType PAtomicInteger::operator++()           { pthread_mutex_lock(&m_mutex); int retval = ++m_value; pthread_mutex_unlock(&m_mutex); return retval; }
X+__inline PAtomicInteger::IntegerType PAtomicInteger::operator++(int)        { pthread_mutex_lock(&m_mutex); int retval = m_value++; pthread_mutex_unlock(&m_mutex); return retval; }
X+__inline PAtomicInteger::IntegerType PAtomicInteger::operator--()           { pthread_mutex_lock(&m_mutex); int retval = --m_value; pthread_mutex_unlock(&m_mutex); return retval; }
X+__inline PAtomicInteger::IntegerType PAtomicInteger::operator--(int)        { pthread_mutex_lock(&m_mutex); int retval = m_value--; pthread_mutex_unlock(&m_mutex); return retval; }
X+__inline void PAtomicInteger::SetValue(IntegerType v)                       { pthread_mutex_lock(&m_mutex); m_value = v; pthread_mutex_unlock(&m_mutex); }
X #endif
X 
X 
c817764e7c7dc2e625c94159e3a9877e
echo x - ptlib26/files/patch-Makefile.in
sed 's/^X//' >ptlib26/files/patch-Makefile.in << '450fece1f45e438627decc6500a63f4e'
X--- Makefile.in.orig	2009-01-12 06:53:18.000000000 +0800
X+++ Makefile.in	2009-02-23 10:03:52.000000000 +0800
X@@ -85,11 +85,11 @@
X                      $(DESTDIR)$(PREFIX)/share/ptlib/make ; \
X 		do mkdir -p $$dir ; chmod 755 $$dir ; \
X 	done )
X-	$(INSTALL) -m 444 $(PT_LIBDIR)/$(PTLIB_FILE).@MAJOR_VERSION@.@MINOR_VERSION@@BUILD_TYPE@@BUILD_NUMBER@ $(DESTDIR)$(LIBDIR)
X+	$(INSTALL) -m 444 $(PT_LIBDIR)/$(PTLIB_FILE).@MAJOR_VERSION@ $(DESTDIR)$(LIBDIR)
X 	$(INSTALL) -m 444 $(PT_LIBDIR)/lib$(PTLIB_BASE)_s.a $(DESTDIR)$(LIBDIR)
X 	(cd $(DESTDIR)$(LIBDIR) ; \
X 		rm -f  $(PTLIB_FILE) ; \
X-		ln -sf $(PTLIB_FILE).@MAJOR_VERSION@.@MINOR_VERSION@@BUILD_TYPE@@BUILD_NUMBER@ $(PTLIB_FILE) \
X+		ln -sf $(PTLIB_FILE).@MAJOR_VERSION@ $(PTLIB_FILE) \
X 	)
X ifeq (1, $(HAS_PLUGINS))
X 	if test -e $(PT_LIBDIR)/device/; then \
X@@ -120,9 +120,9 @@
X 	$(INSTALL) -m 755 make/ptlib-config $(DESTDIR)$(PREFIX)/share/ptlib/make/
X 	(cd $(DESTDIR)$(PREFIX)/bin; rm -f ptlib-config ; ln -snf ../share/ptlib/make/ptlib-config ptlib-config)
X 
X-	mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
X-	chmod 755 $(DESTDIR)$(LIBDIR)/pkgconfig
X-	$(INSTALL) -m 644 ptlib.pc $(DESTDIR)$(LIBDIR)/pkgconfig/
X+	mkdir -p $(DESTDIR)$(PREFIX)/libdata/pkgconfig
X+	chmod 755 $(DESTDIR)$(PREFIX)/libdata/pkgconfig
X+	$(INSTALL) -m 644 ptlib.pc $(DESTDIR)$(PREFIX)/libdata/pkgconfig/
X uninstall:
X 	rm -rf $(DESTDIR)$(PREFIX)/include/ptlib \
X 	       $(DESTDIR)$(PREFIX)/include/ptclib \
X@@ -130,9 +130,9 @@
X 	       $(DESTDIR)$(PREFIX)/include/ptbuildopts.h \
X 	       $(DESTDIR)$(PREFIX)/share/ptlib \
X 	       $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR) \
X-	       $(DESTDIR)$(LIBDIR)/pkgconfig/ptlib.pc
X+	       $(DESTDIR)$(PREFIX)/libdata/pkgconfig/ptlib.pc
X 	rm -f $(DESTDIR)$(LIBDIR)/lib$(PTLIB_BASE)_s.a \
X 	      $(DESTDIR)$(LIBDIR)/$(PTLIB_FILE) \
X-	      $(DESTDIR)$(LIBDIR)/$(PTLIB_FILE).@MAJOR_VERSION@.@MINOR_VERSION@@BUILD_TYPE@@BUILD_NUMBER@
X+	      $(DESTDIR)$(LIBDIR)/$(PTLIB_FILE).@MAJOR_VERSION@
X 
X # End of Makefile.in
450fece1f45e438627decc6500a63f4e
echo x - ptlib26/files/patch-include_ptclib_vsdl.h
sed 's/^X//' >ptlib26/files/patch-include_ptclib_vsdl.h << '2ee444920880d1f81fd0ffaeebce2e4e'
X--- include/ptclib/vsdl.h.orig	2008-09-25 14:51:15.000000000 +0800
X+++ include/ptclib/vsdl.h	2008-09-25 14:52:15.000000000 +0800
X@@ -33,7 +33,7 @@
X 
X #include <ptlib.h>
X #if defined(P_FREEBSD)
X-#include <SDL11/SDL.h>
X+#include <SDL.h>
X #else
X #include <SDL/SDL.h>
X #endif
2ee444920880d1f81fd0ffaeebce2e4e
echo x - ptlib26/files/patch-make_lib.mak
sed 's/^X//' >ptlib26/files/patch-make_lib.mak << '9a1dc52b4c93259ff4582e18500316e3'
X--- make/lib.mak.orig	2008-10-17 17:02:51.000000000 +0800
X+++ make/lib.mak	2009-02-23 10:18:32.000000000 +0800
X@@ -30,9 +30,9 @@
X 
X ifneq ($(OSTYPE),Darwin)
X   ifeq ($(BUILD_TYPE),.)
X-    LIBNAME_PAT	= $(LIB_FILENAME).$(MAJOR_VERSION).$(MINOR_VERSION).$(BUILD_NUMBER)
X+    LIBNAME_PAT	= $(LIB_FILENAME).$(MAJOR_VERSION)
X   else
X-    LIBNAME_PAT	= $(LIB_FILENAME).$(MAJOR_VERSION).$(MINOR_VERSION)-$(BUILD_TYPE)$(BUILD_NUMBER)
X+    LIBNAME_PAT	= $(LIB_FILENAME).$(MAJOR_VERSION)
X   endif
X else
X   ifeq ($(BUILD_TYPE),.)
9a1dc52b4c93259ff4582e18500316e3
echo x - ptlib26/files/patch-plugins_configure
sed 's/^X//' >ptlib26/files/patch-plugins_configure << '4d2085be0b5d395315c401bc19090306'
X--- plugins/configure.orig	2008-09-15 16:26:48.000000000 +0800
X+++ plugins/configure	2009-02-23 20:09:39.000000000 +0800
X@@ -4993,6 +4993,268 @@ fi
X 
X 
X if test "${enable_bsdvideo}z" = "yesz" ; then
X+  if test "${ac_cv_header_ioctl_meteor_h+set}" = set; then
X+  { echo "$as_me:$LINENO: checking for dev/bktr/ioctl_meteor.h" >&5
X+echo $ECHO_N "checking for dev/bktr/ioctl_meteor.h... $ECHO_C" >&6; }
X+if test "${ac_cv_header_ioctl_meteor_h+set}" = set; then
X+  echo $ECHO_N "(cached) $ECHO_C" >&6
X+fi
X+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_meteor_h" >&5
X+echo "${ECHO_T}$ac_cv_header_ioctl_meteor_h" >&6; }
X+else
X+  # Is the header compilable?
X+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_meteor.h usability" >&5
X+echo $ECHO_N "checking dev/bktr/ioctl_meteor.h usability... $ECHO_C" >&6; }
X+cat >conftest.$ac_ext <<_ACEOF
X+/* confdefs.h.  */
X+_ACEOF
X+cat confdefs.h >>conftest.$ac_ext
X+cat >>conftest.$ac_ext <<_ACEOF
X+/* end confdefs.h.  */
X+$ac_includes_default
X+#include <dev/bktr/ioctl_meteor.h>
X+_ACEOF
X+rm -f conftest.$ac_objext
X+if { (ac_try="$ac_compile"
X+case "(($ac_try" in
X+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
X+  *) ac_try_echo=$ac_try;;
X+esac
X+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
X+  (eval "$ac_compile") 2>conftest.er1
X+  ac_status=$?
X+  grep -v '^ *+' conftest.er1 >conftest.err
X+  rm -f conftest.er1
X+  cat conftest.err >&5
X+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
X+  (exit $ac_status); } && {
X+	 test -z "$ac_c_werror_flag" ||
X+	 test ! -s conftest.err
X+       } && test -s conftest.$ac_objext; then
X+  ac_header_compiler=yes
X+else
X+  echo "$as_me: failed program was:" >&5
X+sed 's/^/| /' conftest.$ac_ext >&5
X+
X+	ac_header_compiler=no
X+fi
X+
X+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
X+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
X+echo "${ECHO_T}$ac_header_compiler" >&6; }
X+
X+# Is the header present?
X+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_meteor.h presence" >&5
X+echo $ECHO_N "checking dev/bktr/ioctl_meteor.h presence... $ECHO_C" >&6; }
X+cat >conftest.$ac_ext <<_ACEOF
X+/* confdefs.h.  */
X+_ACEOF
X+cat confdefs.h >>conftest.$ac_ext
X+cat >>conftest.$ac_ext <<_ACEOF
X+/* end confdefs.h.  */
X+#include <dev/bktr/ioctl_meteor.h>
X+_ACEOF
X+if { (ac_try="$ac_cpp conftest.$ac_ext"
X+case "(($ac_try" in
X+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
X+  *) ac_try_echo=$ac_try;;
X+esac
X+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
X+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
X+  ac_status=$?
X+  grep -v '^ *+' conftest.er1 >conftest.err
X+  rm -f conftest.er1
X+  cat conftest.err >&5
X+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
X+  (exit $ac_status); } >/dev/null && {
X+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
X+	 test ! -s conftest.err
X+       }; then
X+  ac_header_preproc=yes
X+else
X+  echo "$as_me: failed program was:" >&5
X+sed 's/^/| /' conftest.$ac_ext >&5
X+
X+  ac_header_preproc=no
X+fi
X+
X+rm -f conftest.err conftest.$ac_ext
X+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
X+echo "${ECHO_T}$ac_header_preproc" >&6; }
X+
X+# So?  What about this header?
X+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
X+  yes:no: )
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the compiler's result" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the compiler's result" >&2;}
X+    ac_header_preproc=yes
X+    ;;
X+  no:yes:* )
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: present but cannot be compiled" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: present but cannot be compiled" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h:     check for missing prerequisite headers?" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h:     check for missing prerequisite headers?" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: see the Autoconf documentation" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: see the Autoconf documentation" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h:     section \"Present But Cannot Be Compiled\"" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h:     section \"Present But Cannot Be Compiled\"" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the preprocessor's result" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the preprocessor's result" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: in the future, the compiler will take precedence" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: in the future, the compiler will take precedence" >&2;}
X+
X+    ;;
X+esac
X+{ echo "$as_me:$LINENO: checking for dev/bktr/ioctl_meteor.h" >&5
X+echo $ECHO_N "checking for dev/bktr/ioctl_meteor.h... $ECHO_C" >&6; }
X+if test "${ac_cv_header_ioctl_meteor_h+set}" = set; then
X+  echo $ECHO_N "(cached) $ECHO_C" >&6
X+else
X+  ac_cv_header_ioctl_meteor_h=$ac_header_preproc
X+fi
X+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_meteor_h" >&5
X+echo "${ECHO_T}$ac_cv_header_ioctl_meteor_h" >&6; }
X+
X+fi
X+if test $ac_cv_header_ioctl_meteor_h = yes; then
X+  BSDVIDEOHDR=1
X+fi
X+
X+
X+  if test "${ac_cv_header_ioctl_bt848_h+set}" = set; then
X+  { echo "$as_me:$LINENO: checking for dev/bktr/ioctl_bt848.h" >&5
X+echo $ECHO_N "checking for dev/bktr/ioctl_bt848.h... $ECHO_C" >&6; }
X+if test "${ac_cv_header_ioctl_bt848_h+set}" = set; then
X+  echo $ECHO_N "(cached) $ECHO_C" >&6
X+fi
X+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_bt848_h" >&5
X+echo "${ECHO_T}$ac_cv_header_ioctl_bt848_h" >&6; }
X+else
X+  # Is the header compilable?
X+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_bt848.h usability" >&5
X+echo $ECHO_N "checking dev/bktr/ioctl_bt848.h usability... $ECHO_C" >&6; }
X+cat >conftest.$ac_ext <<_ACEOF
X+/* confdefs.h.  */
X+_ACEOF
X+cat confdefs.h >>conftest.$ac_ext
X+cat >>conftest.$ac_ext <<_ACEOF
X+/* end confdefs.h.  */
X+$ac_includes_default
X+#include <dev/bktr/ioctl_bt848.h>
X+_ACEOF
X+rm -f conftest.$ac_objext
X+if { (ac_try="$ac_compile"
X+case "(($ac_try" in
X+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
X+  *) ac_try_echo=$ac_try;;
X+esac
X+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
X+  (eval "$ac_compile") 2>conftest.er1
X+  ac_status=$?
X+  grep -v '^ *+' conftest.er1 >conftest.err
X+  rm -f conftest.er1
X+  cat conftest.err >&5
X+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
X+  (exit $ac_status); } && {
X+	 test -z "$ac_c_werror_flag" ||
X+	 test ! -s conftest.err
X+       } && test -s conftest.$ac_objext; then
X+  ac_header_compiler=yes
X+else
X+  echo "$as_me: failed program was:" >&5
X+sed 's/^/| /' conftest.$ac_ext >&5
X+
X+	ac_header_compiler=no
X+fi
X+
X+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
X+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
X+echo "${ECHO_T}$ac_header_compiler" >&6; }
X+
X+# Is the header present?
X+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_bt848.h presence" >&5
X+echo $ECHO_N "checking dev/bktr/ioctl_bt848.h presence... $ECHO_C" >&6; }
X+cat >conftest.$ac_ext <<_ACEOF
X+/* confdefs.h.  */
X+_ACEOF
X+cat confdefs.h >>conftest.$ac_ext
X+cat >>conftest.$ac_ext <<_ACEOF
X+/* end confdefs.h.  */
X+#include <dev/bktr/ioctl_bt848.h>
X+_ACEOF
X+if { (ac_try="$ac_cpp conftest.$ac_ext"
X+case "(($ac_try" in
X+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
X+  *) ac_try_echo=$ac_try;;
X+esac
X+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
X+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
X+  ac_status=$?
X+  grep -v '^ *+' conftest.er1 >conftest.err
X+  rm -f conftest.er1
X+  cat conftest.err >&5
X+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
X+  (exit $ac_status); } >/dev/null && {
X+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
X+	 test ! -s conftest.err
X+       }; then
X+  ac_header_preproc=yes
X+else
X+  echo "$as_me: failed program was:" >&5
X+sed 's/^/| /' conftest.$ac_ext >&5
X+
X+  ac_header_preproc=no
X+fi
X+
X+rm -f conftest.err conftest.$ac_ext
X+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
X+echo "${ECHO_T}$ac_header_preproc" >&6; }
X+
X+# So?  What about this header?
X+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
X+  yes:no: )
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the compiler's result" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the compiler's result" >&2;}
X+    ac_header_preproc=yes
X+    ;;
X+  no:yes:* )
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: present but cannot be compiled" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: present but cannot be compiled" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h:     check for missing prerequisite headers?" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h:     check for missing prerequisite headers?" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: see the Autoconf documentation" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: see the Autoconf documentation" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h:     section \"Present But Cannot Be Compiled\"" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h:     section \"Present But Cannot Be Compiled\"" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the preprocessor's result" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the preprocessor's result" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: in the future, the compiler will take precedence" >&5
X+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: in the future, the compiler will take precedence" >&2;}
X+
X+    ;;
X+esac
X+{ echo "$as_me:$LINENO: checking for dev/bktr/ioctl_bt848.h" >&5
X+echo $ECHO_N "checking for dev/bktr/ioctl_bt848.h... $ECHO_C" >&6; }
X+if test "${ac_cv_header_ioctl_bt848_h+set}" = set; then
X+  echo $ECHO_N "(cached) $ECHO_C" >&6
X+else
X+  ac_cv_header_ioctl_bt848_h=$ac_header_preproc
X+fi
X+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_bt848_h" >&5
X+echo "${ECHO_T}$ac_cv_header_ioctl_bt848_h" >&6; }
X+
X+fi
X+if test $ac_cv_header_ioctl_bt848_h = yes; then
X+  BSDVIDEOHDR=1
X+fi
X+
X+
X+# old path
X+if test "$ac_cv_header_ioctl_bt848_h" != yes -a "$ac_cv_header_ioctl_meteor_h" != yes; then
X   if test "${ac_cv_header_machine_ioctl_meteor_h+set}" = set; then
X   { echo "$as_me:$LINENO: checking for machine/ioctl_meteor.h" >&5
X echo $ECHO_N "checking for machine/ioctl_meteor.h... $ECHO_C" >&6; }
X@@ -5123,18 +5385,18 @@ if test $ac_cv_header_machine_ioctl_mete
X fi
X 
X 
X-  if test "${ac_cv_header_i386_ioctl_meteor_h+set}" = set; then
X-  { echo "$as_me:$LINENO: checking for i386/ioctl_meteor.h" >&5
X-echo $ECHO_N "checking for i386/ioctl_meteor.h... $ECHO_C" >&6; }
X-if test "${ac_cv_header_i386_ioctl_meteor_h+set}" = set; then
X+  if test "${ac_cv_header_machine_ioctl_bt848_h+set}" = set; then
X+  { echo "$as_me:$LINENO: checking for machine/ioctl_bt848.h" >&5
X+echo $ECHO_N "checking for machine/ioctl_bt848.h... $ECHO_C" >&6; }
X+if test "${ac_cv_header_machine_ioctl_bt848_h+set}" = set; then
X   echo $ECHO_N "(cached) $ECHO_C" >&6
X fi
X-{ echo "$as_me:$LINENO: result: $ac_cv_header_i386_ioctl_meteor_h" >&5
X-echo "${ECHO_T}$ac_cv_header_i386_ioctl_meteor_h" >&6; }
X+{ echo "$as_me:$LINENO: result: $ac_cv_header_machine_ioctl_bt848_h" >&5
X+echo "${ECHO_T}$ac_cv_header_machine_ioctl_bt848_h" >&6; }
X else
X   # Is the header compilable?
X-{ echo "$as_me:$LINENO: checking i386/ioctl_meteor.h usability" >&5
X-echo $ECHO_N "checking i386/ioctl_meteor.h usability... $ECHO_C" >&6; }
X+{ echo "$as_me:$LINENO: checking machine/ioctl_bt848.h usability" >&5
X+echo $ECHO_N "checking machine/ioctl_bt848.h usability... $ECHO_C" >&6; }
X cat >conftest.$ac_ext <<_ACEOF
X /* confdefs.h.  */
X _ACEOF
X@@ -5142,7 +5404,7 @@ cat confdefs.h >>conftest.$ac_ext
X cat >>conftest.$ac_ext <<_ACEOF
X /* end confdefs.h.  */
X $ac_includes_default
X-#include <i386/ioctl_meteor.h>
X+#include <machine/ioctl_bt848.h>
X _ACEOF
X rm -f conftest.$ac_objext
X if { (ac_try="$ac_compile"
X@@ -5174,15 +5436,15 @@ rm -f core conftest.err conftest.$ac_obj
X echo "${ECHO_T}$ac_header_compiler" >&6; }
X 
X # Is the header present?
X-{ echo "$as_me:$LINENO: checking i386/ioctl_meteor.h presence" >&5
X-echo $ECHO_N "checking i386/ioctl_meteor.h presence... $ECHO_C" >&6; }
X+{ echo "$as_me:$LINENO: checking machine/ioctl_bt848.h presence" >&5
X+echo $ECHO_N "checking machine/ioctl_bt848.h presence... $ECHO_C" >&6; }
X cat >conftest.$ac_ext <<_ACEOF
X /* confdefs.h.  */
X _ACEOF
X cat confdefs.h >>conftest.$ac_ext
X cat >>conftest.$ac_ext <<_ACEOF
X /* end confdefs.h.  */
X-#include <i386/ioctl_meteor.h>
X+#include <machine/ioctl_bt848.h>
X _ACEOF
X if { (ac_try="$ac_cpp conftest.$ac_ext"
X case "(($ac_try" in
X@@ -5215,43 +5477,44 @@ echo "${ECHO_T}$ac_header_preproc" >&6; 
X # So?  What about this header?
X case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
X   yes:no: )
X-    { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&5
X-echo "$as_me: WARNING: i386/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
X-    { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: proceeding with the compiler's result" >&5
X-echo "$as_me: WARNING: i386/ioctl_meteor.h: proceeding with the compiler's result" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&5
X+echo "$as_me: WARNING: machine/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: proceeding with the compiler's result" >&5
X+echo "$as_me: WARNING: machine/ioctl_bt848.h: proceeding with the compiler's result" >&2;}
X     ac_header_preproc=yes
X     ;;
X   no:yes:* )
X-    { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: present but cannot be compiled" >&5
X-echo "$as_me: WARNING: i386/ioctl_meteor.h: present but cannot be compiled" >&2;}
X-    { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h:     check for missing prerequisite headers?" >&5
X-echo "$as_me: WARNING: i386/ioctl_meteor.h:     check for missing prerequisite headers?" >&2;}
X-    { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: see the Autoconf documentation" >&5
X-echo "$as_me: WARNING: i386/ioctl_meteor.h: see the Autoconf documentation" >&2;}
X-    { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h:     section \"Present But Cannot Be Compiled\"" >&5
X-echo "$as_me: WARNING: i386/ioctl_meteor.h:     section \"Present But Cannot Be Compiled\"" >&2;}
X-    { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: proceeding with the preprocessor's result" >&5
X-echo "$as_me: WARNING: i386/ioctl_meteor.h: proceeding with the preprocessor's result" >&2;}
X-    { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: in the future, the compiler will take precedence" >&5
X-echo "$as_me: WARNING: i386/ioctl_meteor.h: in the future, the compiler will take precedence" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: present but cannot be compiled" >&5
X+echo "$as_me: WARNING: machine/ioctl_bt848.h: present but cannot be compiled" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h:     check for missing prerequisite headers?" >&5
X+echo "$as_me: WARNING: machine/ioctl_bt848.h:     check for missing prerequisite headers?" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: see the Autoconf documentation" >&5
X+echo "$as_me: WARNING: machine/ioctl_bt848.h: see the Autoconf documentation" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h:     section \"Present But Cannot Be Compiled\"" >&5
X+echo "$as_me: WARNING: machine/ioctl_bt848.h:     section \"Present But Cannot Be Compiled\"" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: proceeding with the preprocessor's result" >&5
X+echo "$as_me: WARNING: machine/ioctl_bt848.h: proceeding with the preprocessor's result" >&2;}
X+    { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: in the future, the compiler will take precedence" >&5
X+echo "$as_me: WARNING: machine/ioctl_bt848.h: in the future, the compiler will take precedence" >&2;}
X 
X     ;;
X esac
X-{ echo "$as_me:$LINENO: checking for i386/ioctl_meteor.h" >&5
X-echo $ECHO_N "checking for i386/ioctl_meteor.h... $ECHO_C" >&6; }
X-if test "${ac_cv_header_i386_ioctl_meteor_h+set}" = set; then
X+{ echo "$as_me:$LINENO: checking for machine/ioctl_bt848.h" >&5
X+echo $ECHO_N "checking for machine/ioctl_bt848.h... $ECHO_C" >&6; }
X+if test "${ac_cv_header_machine_ioctl_bt848_h+set}" = set; then
X   echo $ECHO_N "(cached) $ECHO_C" >&6
X else
X-  ac_cv_header_i386_ioctl_meteor_h=$ac_header_preproc
X+  ac_cv_header_machine_ioctl_bt848_h=$ac_header_preproc
X fi
X-{ echo "$as_me:$LINENO: result: $ac_cv_header_i386_ioctl_meteor_h" >&5
X-echo "${ECHO_T}$ac_cv_header_i386_ioctl_meteor_h" >&6; }
X+{ echo "$as_me:$LINENO: result: $ac_cv_header_machine_ioctl_bt848_h" >&5
X+echo "${ECHO_T}$ac_cv_header_machine_ioctl_bt848_h" >&6; }
X 
X fi
X-if test $ac_cv_header_i386_ioctl_meteor_h = yes; then
X+if test $ac_cv_header_machine_ioctl_bt848_h = yes; then
X   BSDVIDEOHDR=1
X fi
X-
X+fi
X+# old path - end
X 
X   if test "${ac_cv_header_dev_ic_bt8xx_h+set}" = set; then
X   { echo "$as_me:$LINENO: checking for dev/ic/bt8xx.h" >&5
4d2085be0b5d395315c401bc19090306
echo x - ptlib26/files/patch-unix_config.cxx
sed 's/^X//' >ptlib26/files/patch-unix_config.cxx << 'fa5d5fc4b5d187d1f2593c575d4f6398'
X--- src/ptlib/unix/config.cxx.orig	2009-04-25 15:12:34.000000000 +0400
X+++ src/ptlib/unix/config.cxx	2009-04-25 15:12:52.000000000 +0400
X@@ -49,7 +49,7 @@
X #define	EXTENSION		".ini"
X #define	ENVIRONMENT_CONFIG_STR	"/\~~environment~~\/"
X 
X-#ifdef P_MACOSX
X+#if defined(P_MACOSX) || defined(P_FREEBSD)
X #define environ (NULL)
X #endif
X 
fa5d5fc4b5d187d1f2593c575d4f6398
echo x - ptlib26/files/patch-src__ptlib__common__osutils.cxx
sed 's/^X//' >ptlib26/files/patch-src__ptlib__common__osutils.cxx << '368f3666021a6c6fb580fe4c0c9ec968'
X--- ./src/ptlib/common/osutils.cxx.orig	2009-02-14 22:04:50.000000000 +0100
X+++ ./src/ptlib/common/osutils.cxx	2009-02-14 22:04:55.000000000 +0100
X@@ -2152,21 +2152,21 @@
X PReadWriteMutex::Nest * PReadWriteMutex::GetNest() const
X {
X   PWaitAndSignal mutex(nestingMutex);
X-  return nestedThreads.GetAt(POrdinalKey((PINDEX)PThread::GetCurrentThreadId()));
X+  return nestedThreads.GetAt(POrdinalKey((unsigned long)PThread::GetCurrentThreadId()));
X }
X 
X 
X void PReadWriteMutex::EndNest()
X {
X   nestingMutex.Wait();
X-  nestedThreads.RemoveAt(POrdinalKey((PINDEX)PThread::GetCurrentThreadId()));
X+  nestedThreads.RemoveAt(POrdinalKey((unsigned long)PThread::GetCurrentThreadId()));
X   nestingMutex.Signal();
X }
X 
X 
X PReadWriteMutex::Nest & PReadWriteMutex::StartNest()
X {
X-  POrdinalKey threadId = (PINDEX)PThread::GetCurrentThreadId();
X+  POrdinalKey threadId = (unsigned long)PThread::GetCurrentThreadId();
X 
X   nestingMutex.Wait();
X 
368f3666021a6c6fb580fe4c0c9ec968
echo x - ptlib26/files/patch-src__ptlib__unix__svcproc.cxx
sed 's/^X//' >ptlib26/files/patch-src__ptlib__unix__svcproc.cxx << '331aecea7c69fbba061c982bf8864b60'
X--- ./src/ptlib/unix/svcproc.cxx.orig	2009-02-14 22:03:27.000000000 +0100
X+++ ./src/ptlib/unix/svcproc.cxx	2009-02-14 22:03:32.000000000 +0100
X@@ -165,7 +165,7 @@
X #elif defined(BE_THREADS)
X       thread_id tid = ::find_thread(NULL);
X #else
X-      unsigned tid = (unsigned) pthread_self();
X+      unsigned long tid = (unsigned long)pthread_self();
X #endif
X       *out << "ThreadID=0x"
X            << setfill('0') << ::hex
X@@ -719,12 +719,12 @@
X #elif defined(BE_THREADS)
X   thread_id tid = ::find_thread(NULL);
X #else
X-  unsigned tid = (unsigned) pthread_self();
X+  unsigned long tid = (unsigned long)pthread_self();
X #endif
X   PThread * thread_ptr = activeThreads.GetAt(tid);
X 
X   char msg[200];
X-  sprintf(msg, "\nCaught %s, thread_id=%u", sigmsg, tid);
X+  sprintf(msg, "\nCaught %s, thread_id=%lu", sigmsg, tid);
X 
X   if (thread_ptr != NULL) {
X     PString thread_name = thread_ptr->GetThreadName();
331aecea7c69fbba061c982bf8864b60
echo x - ptlib26/files/patch-unix_mak
sed 's/^X//' >ptlib26/files/patch-unix_mak << '3d1449ff94b390ae063b4b832f652622'
X--- make/unix.mak.orig	2009-04-25 20:32:22.000000000 +0400
X+++ make/unix.mak	2009-04-25 20:35:25.000000000 +0400
X@@ -174,6 +174,10 @@
X endif
X endif
X 
X+ifeq ($(MACHTYPE),amd64)
X+STDCCFLAGS     += -DP_64BIT
X+endif
X+
X P_USE_RANLIB		:= 1
X #STDCCFLAGS      += -DP_USE_PRAGMA		# migrated to configure
X 
3d1449ff94b390ae063b4b832f652622
echo x - ptlib26/files/patch-threads
sed 's/^X//' >ptlib26/files/patch-threads << '9a8d1f0bc07a5af08b05f85ebe72ebf1'
X--- include/ptlib/unix/ptlib/contain.h.orig	2009-04-25 21:59:44.000000000 +0400
X+++ include/ptlib/unix/ptlib/contain.h	2009-04-25 22:01:14.000000000 +0400
X@@ -81,9 +81,11 @@
X #ifdef P_64BIT
X typedef long          INT;
X typedef unsigned long UINT;
X+#define _hptr(x)        (PINDEX)(unsigned long)(x)
X #else
X typedef int           INT;
X typedef unsigned int  UINT;
X+#define _hptr(x)        (unsigned)(x)
X #endif
X 
X // Create "Windows" style definitions.
X--- src/ptlib/unix/tlib.cxx	2009-03-18 06:43:30.000000000 +0300
X+++ src/ptlib/unix/tlib.cxx	2009-04-25 22:03:56.000000000 +0400
X@@ -400,7 +404,7 @@
X {
X   if (PProcessInstance != NULL) {
X     PWaitAndSignal m(PProcessInstance->activeThreadMutex);
X-    PThread & thread = PProcessInstance->activeThreads[(unsigned)id];
X+    PThread & thread = PProcessInstance->activeThreads[_hptr(id)];
X     return thread.GetThreadName();
X   }
X   return psprintf("%08x", id);
X--- src/ptlib/unix/tlibthrd.cxx	2009-03-18 06:43:30.000000000 +0300
X+++ src/ptlib/unix/tlibthrd.cxx	2009-04-25 22:03:45.000000000 +0400
X@@ -240,7 +240,7 @@
X {
X   PWaitAndSignal m(activeThreadMutex);
X 
X-  if (!activeThreads.Contains((unsigned)id)) 
X+  if (!activeThreads.Contains(_hptr(id))) 
X     return PFalse;
X 
X   return pthread_kill(id, sig) == 0;
X@@ -249,8 +249,8 @@
X void PProcess::PXSetThread(pthread_t id, PThread * thread)
X {
X   activeThreadMutex.Wait();
X-  PThread * currentThread = activeThreads.GetAt((PINDEX)id);
X-  activeThreads.SetAt((PINDEX)id, thread);
X+  PThread * currentThread = activeThreads.GetAt(_hptr(id));
X+  activeThreads.SetAt(_hptr(id), thread);
X   activeThreadMutex.Signal();
X 
X   if (currentThread != NULL) 
X@@ -891,7 +891,7 @@
X   }
X 
X   // remove this thread from the active thread list
X-  process.activeThreads.SetAt((unsigned)id, NULL);
X+  process.activeThreads.SetAt(_hptr(id), NULL);
X 
X   bool deleteThread = thread->autoDelete; // Get flag before releasing lock
X 
X--- src/ptlib/common/osutils.cxx	2009-03-18 06:43:33.000000000 +0300
X+++ src/ptlib/common/osutils.cxx	2009-04-25 22:03:35.000000000 +0400
X@@ -1548,7 +1551,7 @@
X   , m_library(false)
X {
X   activeThreads.DisallowDeleteObjects();
X-  activeThreads.SetAt((PINDEX)GetCurrentThreadId(), this);
X+  activeThreads.SetAt(_hptr(GetCurrentThreadId()), this);
X 
X   PProcessInstance = this;
X 
X@@ -1912,7 +1915,7 @@
X   PProcess & process = PProcess::Current();
X 
X   process.activeThreadMutex.Wait();
X-  PThread * thread = process.activeThreads.GetAt((unsigned)GetCurrentThreadId());
X+  PThread * thread = process.activeThreads.GetAt(_hptr(GetCurrentThreadId()));
X   process.activeThreadMutex.Signal();
X 
X   if (thread == NULL)
9a8d1f0bc07a5af08b05f85ebe72ebf1
echo x - ptlib26/files/patch-configure
sed 's/^X//' >ptlib26/files/patch-configure << '4527ce8aff3fb028a95661006c9bdda6'
X--- configure.ac.orig	2009-04-26 00:13:25.000000000 +0400
X+++ configure.ac	2009-04-26 00:16:55.000000000 +0400
X@@ -322,7 +322,7 @@
X    x86 | i686 | i586 | i486 | i386 ) MACHTYPE=x86
X                    ;;
X 
X-   x86_64)	   MACHTYPE=x86_64 ;
X+   x86_64 | amd64) MACHTYPE=$target_cpu ;
X 		   P_64BIT=1 ;
X                    LIB64=1 ;
X 		   ;;
X--- configure.orig	2009-04-26 00:20:17.000000000 +0400
X+++ configure	2009-04-26 00:22:21.000000000 +0400
X@@ -4716,7 +4716,7 @@
X    x86 | i686 | i586 | i486 | i386 ) MACHTYPE=x86
X                    ;;
X 
X-   x86_64)	   MACHTYPE=x86_64 ;
X+   x86_64 | amd64) MACHTYPE=$target_cpu ;
X 		   P_64BIT=1 ;
X                    LIB64=1 ;
X 		   ;;
4527ce8aff3fb028a95661006c9bdda6
echo x - ptlib26/files/patch-src_ptclib_vsdl.cxx
sed 's/^X//' >ptlib26/files/patch-src_ptclib_vsdl.cxx << '4db75a52fd69cee0dbd461e241b7247f'
X--- src/ptclib/vsdl.cxx.orig	2008-09-25 14:50:57.000000000 +0800
X+++ src/ptclib/vsdl.cxx	2008-09-25 14:51:48.000000000 +0800
X@@ -44,7 +44,7 @@
X extern "C" {
X 
X #if defined(P_FREEBSD)
X-#include <SDL11/SDL.h>
X+#include <SDL.h>
X #else
X #include <SDL/SDL.h>
X #endif
4db75a52fd69cee0dbd461e241b7247f
echo x - ptlib26/Makefile
sed 's/^X//' >ptlib26/Makefile << 'fe33e4766481443977752791f378a63a'
X# New ports collection makefile for:	pwlib
X# Date created:		Fri Aug 22 07:11:44 GMT 2003
X# Whom:			Roger Hardiman <roger@freebsd.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ptlib
XPORTVERSION=	2.6.1
XCATEGORIES=	devel
XMASTER_SITES=	${MASTER_SITE_GNOME}
XMASTER_SITE_SUBDIR=	sources/ptlib/2.6
XDISTNAME=	ptlib-${PORTVERSION}
X
XMAINTAINER=	melifaro@ipfw.ru
XCOMMENT=	A cross platform C++ library, used by OPAL
X
XLIB_DEPENDS=	expat.6:${PORTSDIR}/textproc/expat2
X
XUSE_BISON=	build
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
XUSE_GNOME=	pkgconfig
XWANT_GNOME=	yes
XWANT_SDL=	yes
XUSE_OPENSSL=	yes
XUSE_LDCONFIG=	yes
X
X.include <bsd.port.pre.mk>
X
XCONFIGURE_ENV=	\
X		OPENSSL_CFLAGS="-I/usr/include" \
X		OPENSSL_LIBS="-lssl"
XCONFIGURE_ARGS+=	\
X		--with-expat-dir="${LOCALBASE}" \
X		--enable-oss
XALL_TARGET=	optshared
X
X# if explicitely asked for, depend upon it
X.if defined(WITH_SDL)
XUSE_SDL+=	sdl
XCONFIGURE_ENV+=	SDL_CFLAGS="`sdl-config --cflags`" \
X		SDL_LIBS="`sdl-config --libs`"
XMAKE_ENV+=	SDL_CFLAGS="`sdl-config --cflags`" \
X		SDL_LIBS="`sdl-config --libs`"
X.endif
X
X.if defined(WITH_ODBC)
XCONFIGURE_ARGS+=	--enable-odbc
XLIB_DEPENDS+=	odbc.1:${PORTSDIR}/databases/unixODBC
X#BUILD_DEPENDS+=         unixODBC>=2.2.12:${PORTSDIR}/databases/unixODBC
X.else
XCONFIGURE_ARGS+=	--disable-odbc
X.endif
X
X# if explicitely disabled, do not depend upon it
X.if defined(WITHOUT_SDL)
XCONFIGURE_ARGS+=	--disable-sdl
X.endif
X
X# if nobody cares, use it if it is installed already
X.if !defined(WITHOUT_SDL) && !defined(WITH_SDL)
X.if ${HAVE_SDL:Msdl}
XUSE_SDL+=	sdl
XCONFIGURE_ENV+=	SDL_CFLAGS="`sdl-config --cflags`" \
X		SDL_LIBS="`sdl-config --libs`"
XMAKE_ENV+=	SDL_CFLAGS="`sdl-config --cflags`" \
X		SDL_LIBS="`sdl-config --libs`"
X.else
XCONFIGURE_ARGS+=	--disable-sdl
X.endif
X.endif
X
X.if !defined(WITHOUT_PLUGINS)
XCONFIGURE_ARGS+=	--enable-plugins
X.endif
X
X.if defined(WITH_LDAP)
XUSE_OPENLDAP=	yes
XCONFIGURE_ARGS+=	--enable-openldap --with-ldap-dir="${LOCALBASE}"
X.else
XCONFIGURE_ARGS+=	--disable-openldap
X.endif
X
X# ONLY FOR THE BRAVE!
X# If someone owns a firewire(4) video device and wants to use it for
X# video-conferencing purposes, please download the files:
X# libraw1394.shar.gz, libavc1394.shar.gz and libdc1394.shar.gz from
X# ftp://ftp.frm2.tum.de/pub/jpulz/FreeBSD/ports/
X# Extract the files in ${PORTSDIR}/devel and uncomment the following lines.
X#
X##enable libavc1394
X#.if defined(WITH_AVC1394)
X#LIB_DEPENDS+=	avc1394.2:${PORTSDIR}/devel/libavc1394 \
X#		dv.4:${PORTSDIR}/multimedia/libdv
X#CONFIGURE_ARGS+=	--enable-avc
X#PLIST_SUB+=	AVC1394=""
X#.else
XCONFIGURE_ARGS+=	--disable-avc
XPLIST_SUB+=	AVC1394="@comment "
X#.endif
X#
X##enable libdc1394
X#.if defined(WITH_DC1394)
X#LIB_DEPENDS+=	dc1394_control.13:${PORTSDIR}/devel/libdc1394
X#CONFIGURE_ARGS+=	--enable-dc
X#PLIST_SUB+=	DC1394=""
X#.else
XCONFIGURE_ARGS+=	--disable-dc
XPLIST_SUB+=	DC1394="@comment "
X#.endif
X
X.if (${ARCH} == "amd64") || (${ARCH} == "ia64") || (${ARCH} == "sparc64")
XCFLAGS+=	-fPIC
X.endif
X
X.if (${ARCH} == "i386") || (${ARCH} == "ia64") || (${ARCH} == "amd64") || (${ARCH} == "sparc64")
XCONFIGURE_ARGS+=--enable-bsdvideo
XPLIST_SUB+=	BSDVIDEO=""
X.else
XCONFIGURE_ARGS+=--disable-bsdvideo
XPLIST_SUB+=	BSDVIDEO="@comment "
X.endif
X
X.if defined(WITH_V4L) || ( exists(${LOCALBASE}/include/linux/videodev.h) && \
X	!defined(WITHOUT_V4L) )
XCONFIGURE_ARGS+=--enable-v4l
XPLIST_SUB+=	V4L=""
XBUILD_DEPENDS+=	${LOCALBASE}/include/linux/videodev.h:${PORTSDIR}/multimedia/v4l_compat
X.else
XCONFIGURE_ARGS+=--disable-v4l
XPLIST_SUB+=	V4L="@comment "
X.endif
X
Xpost-patch:
X.if ${ARCH} == sparc64 && ${OSVERSION} <= 700003
X	@${REINPLACE_CMD} -e 's|P_PTHREADS_XPG6|0|' ${WRKSRC}/src/ptlib/unix/tlibthrd.cxx
X.endif
X.if ${OSVERSION} >= 800059
X	@${REINPLACE_CMD} -e 's/RTF_WASCLONED/0x20000/' ${WRKSRC}/src/ptlib/unix/socket.cxx
X.endif
X
X.include <bsd.port.post.mk>
fe33e4766481443977752791f378a63a
echo x - ptlib26/distinfo
sed 's/^X//' >ptlib26/distinfo << '54280da25e22ce4a5b617b18e426f2e3'
XMD5 (ptlib-2.6.1.tar.gz) = 7b61aa08f7bc98cdf5bbe7a909f7eed2
XSHA256 (ptlib-2.6.1.tar.gz) = f90f7296e3c26ca389038d54f7ede1ef33b85f1a0f622e97afeddada6593a1d9
XSIZE (ptlib-2.6.1.tar.gz) = 4858229
54280da25e22ce4a5b617b18e426f2e3
echo x - ptlib26/pkg-descr
sed 's/^X//' >ptlib26/pkg-descr << '7ef49e17fb07ca8f9f9e83668e7fae79'
XPWLib is a multi-platform code library that can be used to write
Xapplications that will compile and run on the BSD Unixes, Windows, Linux
Xand a few other Unix variants. It was developed by Equivalence Ltd Pty.
X
XIt is used by the OPAL library.
X
XWWW: http://www.opalvoip.org
7ef49e17fb07ca8f9f9e83668e7fae79
echo x - ptlib26/pkg-plist
sed 's/^X//' >ptlib26/pkg-plist << '2a4f3315800811a2e56e81fe604c7d9c'
Xbin/ptlib-config
Xinclude/ptbuildopts.h
Xinclude/ptclib/asnber.h
Xinclude/ptclib/asner.h
Xinclude/ptclib/asnper.h
Xinclude/ptclib/asnxer.h
Xinclude/ptclib/cypher.h
Xinclude/ptclib/delaychan.h
Xinclude/ptclib/dtmf.h
Xinclude/ptclib/enum.h
Xinclude/ptclib/ftp.h
Xinclude/ptclib/guid.h
Xinclude/ptclib/html.h
Xinclude/ptclib/http.h
Xinclude/ptclib/httpform.h
Xinclude/ptclib/httpsvc.h
Xinclude/ptclib/inetmail.h
Xinclude/ptclib/inetprot.h
Xinclude/ptclib/ipacl.h
Xinclude/ptclib/memfile.h
Xinclude/ptclib/mime.h
Xinclude/ptclib/modem.h
Xinclude/ptclib/paec.h
Xinclude/ptclib/pasn.h
Xinclude/ptclib/pdns.h
Xinclude/ptclib/pffvdev.h
Xinclude/ptclib/pils.h
Xinclude/ptclib/pldap.h
Xinclude/ptclib/pnat.h
Xinclude/ptclib/podbc.h
Xinclude/ptclib/psasl.h
Xinclude/ptclib/psnmp.h
Xinclude/ptclib/psoap.h
Xinclude/ptclib/psockbun.h
Xinclude/ptclib/pssl.h
Xinclude/ptclib/pstun.h
Xinclude/ptclib/ptts.h
Xinclude/ptclib/pvfiledev.h
Xinclude/ptclib/pvidfile.h
Xinclude/ptclib/pwavfile.h
Xinclude/ptclib/pwavfiledev.h
Xinclude/ptclib/pxml.h
Xinclude/ptclib/pxmlrpc.h
Xinclude/ptclib/pxmlrpcs.h
Xinclude/ptclib/qchannel.h
Xinclude/ptclib/random.h
Xinclude/ptclib/rfc1155.h
Xinclude/ptclib/shttpsvc.h
Xinclude/ptclib/snmp.h
Xinclude/ptclib/sockagg.h
Xinclude/ptclib/socks.h
Xinclude/ptclib/telnet.h
Xinclude/ptclib/url.h
Xinclude/ptclib/vsdl.h
Xinclude/ptclib/vxml.h
Xinclude/ptclib/xmpp.h
Xinclude/ptclib/xmpp_c2s.h
Xinclude/ptclib/xmpp_muc.h
Xinclude/ptclib/xmpp_roster.h
Xinclude/ptlib.h
Xinclude/ptlib/MacMainIf.h
Xinclude/ptlib/args.h
Xinclude/ptlib/array.h
Xinclude/ptlib/channel.h
Xinclude/ptlib/conchan.h
Xinclude/ptlib/config.h
Xinclude/ptlib/contain.h
Xinclude/ptlib/contain.inl
Xinclude/ptlib/critsec.h
Xinclude/ptlib/dict.h
Xinclude/ptlib/dynalink.h
Xinclude/ptlib/ethsock.h
Xinclude/ptlib/file.h
Xinclude/ptlib/filepath.h
Xinclude/ptlib/icmpsock.h
Xinclude/ptlib/indchan.h
Xinclude/ptlib/int64.h
Xinclude/ptlib/ipdsock.h
Xinclude/ptlib/ipsock.h
Xinclude/ptlib/ipxsock.h
Xinclude/ptlib/lists.h
Xinclude/ptlib/mail.h
Xinclude/ptlib/mutex.h
Xinclude/ptlib/notifier.h
Xinclude/ptlib/notifier_ext.h
Xinclude/ptlib/object.h
Xinclude/ptlib/osutil.inl
Xinclude/ptlib/pdirect.h
Xinclude/ptlib/pfactory.h
Xinclude/ptlib/pipechan.h
Xinclude/ptlib/plugin.h
Xinclude/ptlib/pluginmgr.h
Xinclude/ptlib/pprocess.h
Xinclude/ptlib/psharedptr.h
Xinclude/ptlib/pstring.h
Xinclude/ptlib/psync.h
Xinclude/ptlib/ptime.h
Xinclude/ptlib/qos.h
Xinclude/ptlib/remconn.h
Xinclude/ptlib/safecoll.h
Xinclude/ptlib/semaphor.h
Xinclude/ptlib/serchan.h
Xinclude/ptlib/sfile.h
Xinclude/ptlib/smartptr.h
Xinclude/ptlib/socket.h
Xinclude/ptlib/sockets.h
Xinclude/ptlib/sound.h
Xinclude/ptlib/spxsock.h
Xinclude/ptlib/svcproc.h
Xinclude/ptlib/syncpoint.h
Xinclude/ptlib/syncthrd.h
Xinclude/ptlib/tcpsock.h
Xinclude/ptlib/textfile.h
Xinclude/ptlib/thread.h
Xinclude/ptlib/timeint.h
Xinclude/ptlib/timer.h
Xinclude/ptlib/udpsock.h
Xinclude/ptlib/unix/ptlib/beaudio.h
Xinclude/ptlib/unix/ptlib/bevideo.h
Xinclude/ptlib/unix/ptlib/channel.h
Xinclude/ptlib/unix/ptlib/conchan.h
Xinclude/ptlib/unix/ptlib/config.h
Xinclude/ptlib/unix/ptlib/contain.h
Xinclude/ptlib/unix/ptlib/critsec.h
Xinclude/ptlib/unix/ptlib/dynalink.h
Xinclude/ptlib/unix/ptlib/ethsock.h
Xinclude/ptlib/unix/ptlib/file.h
Xinclude/ptlib/unix/ptlib/filepath.h
Xinclude/ptlib/unix/ptlib/icmpsock.h
Xinclude/ptlib/unix/ptlib/ipdsock.h
Xinclude/ptlib/unix/ptlib/ipsock.h
Xinclude/ptlib/unix/ptlib/maccoreaudio.h
Xinclude/ptlib/unix/ptlib/mutex.h
Xinclude/ptlib/unix/ptlib/pdirect.h
Xinclude/ptlib/unix/ptlib/pipechan.h
Xinclude/ptlib/unix/ptlib/pmachdep.h
Xinclude/ptlib/unix/ptlib/pprocess.h
Xinclude/ptlib/unix/ptlib/ptime.h
Xinclude/ptlib/unix/ptlib/ptlib.inl
Xinclude/ptlib/unix/ptlib/remconn.h
Xinclude/ptlib/unix/ptlib/resampler.h
Xinclude/ptlib/unix/ptlib/semaphor.h
Xinclude/ptlib/unix/ptlib/serchan.h
Xinclude/ptlib/unix/ptlib/sfile.h
Xinclude/ptlib/unix/ptlib/shmvideo.h
Xinclude/ptlib/unix/ptlib/socket.h
Xinclude/ptlib/unix/ptlib/sound.h
Xinclude/ptlib/unix/ptlib/svcproc.h
Xinclude/ptlib/unix/ptlib/syncpoint.h
Xinclude/ptlib/unix/ptlib/tcpsock.h
Xinclude/ptlib/unix/ptlib/textfile.h
Xinclude/ptlib/unix/ptlib/thread.h
Xinclude/ptlib/unix/ptlib/timeint.h
Xinclude/ptlib/unix/ptlib/timer.h
Xinclude/ptlib/unix/ptlib/udpsock.h
Xinclude/ptlib/unix/ptlib/video.h
Xinclude/ptlib/vconvert.h
Xinclude/ptlib/video.h
Xinclude/ptlib/videoio.h
Xinclude/ptlib/videoio1394dc.h
Xlib/libpt.so
Xlib/libpt.so.2
Xlib/libpt_s.a
Xlib/ptlib-2.6.1/devices/sound/oss_pwplugin.so
Xlib/ptlib-2.6.1/devices/videoinput/bsdvideo_pwplugin.so
Xlibdata/pkgconfig/ptlib.pc
X%%DATADIR%%/make/common.mak
X%%DATADIR%%/make/lib.mak
X%%DATADIR%%/make/plugins.mak
X%%DATADIR%%/make/ptbuildopts.mak
X%%DATADIR%%/make/ptlib-config
X%%DATADIR%%/make/ptlib.mak
X%%DATADIR%%/make/unix.mak
X@dirrm %%DATADIR%%/make
X@dirrm %%DATADIR%%
X@dirrm lib/ptlib-2.6.1/devices/videoinput
X@dirrm lib/ptlib-2.6.1/devices/sound
X@dirrm lib/ptlib-2.6.1/devices
X@dirrm lib/ptlib-2.6.1
X@dirrm include/ptlib/unix/ptlib
X@dirrm include/ptlib/unix
X@dirrm include/ptlib
X@dirrm include/ptclib
2a4f3315800811a2e56e81fe604c7d9c
exit



>Release-Note:
>Audit-Trail:
>Unformatted:



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200905081306.n48D6Q3g084511>